/* $Id$

This file is part of gldbg
Copyright © 2010  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#include "arraystate.h"
#include "bufferstate.h"

ArrayState::ArrayState():
	kind(0),
	index(0),
	enabled(false),
	size(4),
	type(GL_FLOAT),
	normalized(false),
	stride(0),
	buffer(0),
	pointer(0)
{ }

void ArrayState::set(unsigned s, GLenum t, bool n, unsigned r, BufferState *b, long p)
{
	size = s;
	type = t;
	stride = r;
	normalized = n;
	buffer = b;
	pointer = p;

	if(buffer)
		buffer->content.update(*this);
}
