/* $Id$

This file is part of gldbg
Copyright © 2009  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef TRACER_H_
#define TRACER_H_

#include <msp/io/base.h>

struct GlPrint;

class Tracer
{
private:
	GlPrint *glprint;
	Msp::IO::Base *out;
	bool delete_out;
	bool enabled;

public:
	Tracer();
	~Tracer();

	void set_output(Msp::IO::Base *);
	void set_output(Msp::IO::Base &);
	void enable();
	void disable();
	int decode(const char *, unsigned);
};

#endif
