/* $Id$

This file is part of gldbg
Copyright © 2010  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef ARRAYSTATE_H_
#define ARRAYSTATE_H_

#include <GL/gl.h>

struct BufferState;

struct ArrayState
{
	GLenum kind;
	unsigned index;
	bool enabled;
	unsigned size;
	GLenum type;
	bool normalized;
	unsigned stride;
	BufferState *buffer;
	long pointer;

	ArrayState();
	void set(unsigned, GLenum, bool, unsigned, BufferState *, long);
};

#endif
