/* $Id$

This file is part of gldbg
Copyright © 2010  Mikko Rasa, Mikkosoft Productions
Distributed under the GPL
*/

#ifndef GLWRAP_H_
#define GLWRAP_H_

void *glsym(const char *);
void write_char(char);
void write_short(short);
void write_int(int);
void write_long(long);
void write_long_long(long long);
void write_float(float);
void write_double(double);
void write_pointer(const void *);
void write_data(const void *, unsigned);
void write_string(const char *);
void write_string_array(const char **, unsigned);
void begin_packet(int);
void send_partial_packet(void);
void send_packet(void);

#endif
